using MadRunFabric.Common;
using MadRunFabric.Model.CallCenterApi;
using System;
using System.Collections.Generic;
using System.Text;

namespace CallCenterApi.IRepositories
{
    public interface ICall_RecordsRepository : IRepository<mw_call_records, string>
    {
        object GetCallRecordTotalTime(string agentcode,string tag, string start, string end);//, UserInfoModel userinfo);

        object GetCallRecordRingTime(string agentcode, string start, string end);

        object GetHighChartData(string agentcode, string start, string end, string tag, string state);

        
        object GetHWRank(int top, string stime, string etime);
        object GetHW24CountReport(string stime, string etime);

        IEnumerable<object> GetLists(string stime, string etime, string keyword);

        object GetPCCallRecordTotalTime(string agentcode, string tag, string start, string end, string province, string city);//, UserInfoModel userinfo);

        object GetPCCallRecordRingTime(string agentcode, string start, string end, string province, string city);

        object GetPCHighChartData(string agentcode, string start, string end, string tag, string state, string province, string city);
    }
}
